InvokeBlueprintOptimizationAsync - Amazon Bedrock

InvokeBlueprintOptimizationAsync

Starts an asynchronous job to optimize a blueprint using sample data.

Request Syntax

POST /invokeBlueprintOptimizationAsync HTTP/1.1 Content-type: application/json { "blueprint": { "blueprintArn": "string", "stage": "string" }, "dataAutomationProfileArn": "string", "encryptionConfiguration": { "kmsEncryptionContext": { "string" : "string" }, "kmsKeyId": "string" }, "outputConfiguration": { "s3Object": { "s3Uri": "string", "version": "string" } }, "samples": [ { "assetS3Object": { "s3Uri": "string", "version": "string" }, "groundTruthS3Object": { "s3Uri": "string", "version": "string" } } ], "tags": [ { "key": "string", "value": "string" } ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

blueprint

The blueprint to optimize.

Type: BlueprintOptimizationObject object

Required: Yes

dataAutomationProfileArn

The ARN of the data automation profile to use.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):data-automation-profile/[a-zA-Z0-9-_.]+

Required: Yes

encryptionConfiguration

Encryption settings for the optimization job.

Type: EncryptionConfiguration object

Required: No

outputConfiguration

Where to store the optimization results.

Type: BlueprintOptimizationOutputConfiguration object

Required: Yes

samples

Sample assets and ground truth data to use for optimization.

Type: Array of BlueprintOptimizationSample objects

Required: Yes

tags

Tags to assign to the optimization job.

Type: Array of Tag objects

Array Members: Minimum number of 0 items. Maximum number of 200 items.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "invocationArn": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

invocationArn

The ARN of the optimization job invocation.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:blueprint-optimization-invocation/[a-zA-Z0-9-_]+

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

HTTP Status Code: 403

InternalServerException

HTTP Status Code: 500

ResourceNotFoundException

HTTP Status Code: 404

ServiceQuotaExceededException

HTTP Status Code: 402

ThrottlingException

HTTP Status Code: 429

ValidationException

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: